.k-grid-content.k-auto-scrollable {
    margin-right: 8px;
    margin-left: 8px;
}

.k-grid .k-table {
    border: 2px;
    border: 2px;
    border-radius: 10px;
    overflow: hidden;
    border-spacing: 0 5px !important;
}

.k-grid-header-wrap.k-auto-scrollable {
    border-right-width: 0px;
    background-color: transparent !important;
}

.k-grid.k-grid-md {
    border-bottom-right-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
    /*box-shadow: 0 .125rem .25rem rgba(0,0,0,.075) !important;*/
    background: transparent;
}

.k-grid-container {
    border-bottom-right-radius: 10px !important;
    border-bottom-left-radius: 10px !important;
    background: white;
    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075) !important;
}

.k-pager-input, .k-pager-sizes, .k-pager-info {
    display: none !important;
}

.k-grid .k-table-row.k-selected > td, .k-grid .k-table-row.k-table-alt-row.k-selected > td {
    background-color: #F9FBEC !important;
}

    .k-grid .k-table-row.k-table-alt-row.k-selected > td:first-child, .k-grid .k-table-row.k-selected > td:first-child {
        border-color: #F9FBEC !important;
    }

    .k-grid .k-table-row.k-table-alt-row.k-selected > td:last-child, .k-grid .k-table-row.k-selected > td:last-child {
        border-color: #F9FBEC !important;
    }

.k-grid .k-table-row.k-table-alt-row, .k-grid .k-table-row {
    background-color: #FFFFFF !important;
}

.selectable .k-grid .k-table-row.k-table-alt-row, .selectable .k-grid .k-table-row,.selectable.k-grid.k-grid-md {
    background-color: #FFFFFF !important;
    cursor: pointer;
}


.k-grid .k-table-row.k-table-alt-row .k-table-td {
    background-color: #D9EAF1 !important;
}


.k-grid .k-table-row .k-table-td {
    background-color: #F0F7F9 !important;
}

.k-grid-header-table.k-table.k-table-md {
    background-color: transparent !important;
    margin-bottom: -5px !important;
}

.k-grid-header {
    background-color: transparent !important;
}

.k-grid .k-grid-header .k-table-th {
    color: #FFFFFF !important;
    background-color: #9FAE36 !important;
    overflow: hidden;
}

    .k-grid .k-grid-header .k-table-th:first-child {
        border-top-left-radius: 10px;
        /*border-bottom-left-radius: 10px;*/
    }

    .k-grid .k-grid-header .k-table-th:last-child {
        border-top-right-radius: 10px;
        /*border-bottom-right-radius: 10px;*/
    }


    .k-grid .k-grid-header .k-table-th.last-visible {
        border-top-right-radius: 10px;
        /*border-bottom-right-radius: 10px;*/
    }


.k-grid-toolbar, .k-grid-pager {
    background-color: transparent !important;
    border: 0 !important;
}

.k-window {
    border-radius: 16px !important;
    overflow: hidden !important;
}

.k-grid-pager {
    display: flex;
    justify-content: center;

}

.k-grid {
    border-width: 0px !important;
}

.k-table-td {
    border-width: 0px !important;
}

    .k-table-td:first-child {
        border-width: 0 0 0 10px !important;
        border-color: #F0F7F9 !important;
        border-style: solid !important;
        border-top-left-radius: 10px !important;
        border-bottom-left-radius: 10px !important;
        overflow: hidden !important;
    }

    .k-table-td:last-child {
        border-width: 0 10px 0 0 !important;
        border-color: #F0F7F9 !important;
        border-style: solid !important;
        border-top-right-radius: 10px !important;
        border-bottom-right-radius: 10px !important;
        overflow: hidden !important;
    }

    .k-table-td.last-visible {
        border-width: 0 10px 0 0 !important;
        border-color: #F0F7F9 !important;
        border-style: solid !important;
        border-top-right-radius: 10px !important;
        border-bottom-right-radius: 10px !important;
        overflow: hidden !important;
    }

.k-table-alt-row .k-table-td:last-child {
    border-color: #D9EAF1 !important;
}

.k-table-alt-row .k-table-td.last-visible {
    border-color: #D9EAF1 !important;
}

.k-table-alt-row .k-table-td:first-child {
    border-color: #D9EAF1 !important;
}

.k-grid .k-grid-header .k-table-th {
    border-width: 0px !important;
}

.k-grid-header .k-sort-icon, .k-grid-header .k-sort-order {
    color: #FFFFFF !important;
}

.k-list-item.k-hover {
    color: white !important;
    background-color: #C7D943 !important;
}

.k-list-item {
    font-family: barlow-regular;
    border: 0px !important;
    padding: 10px 16px 10px 8px !important;
}

    .k-list-item.k-focus {
        box-shadow: 0 0 0px 0px rgba(255, 99, 88, 0.3) !important;
    }

.k-list-group-sticky-header {
    font-family: barlow-regular;
}

.k-input-value-text {
    font-family: barlow-regular;
}

.k-list-item.k-first.k-hover {
    color: white !important;
    background-color: #C7D943 !important;
}

.k-input-button.k-button.k-button-md.k-button-solid.k-button-solid-base.k-icon-button {
    /*display: none;*/
    padding: 0;
}

.k-editor .k-input-button.k-button.k-button-md.k-button-solid.k-button-solid-base.k-icon-button {
    display: inline-flex;
    padding: 1px;
}


.no-scrollbar .k-grid-header {
    padding: 0 !important;
}

.no-scrollbar .k-grid-content {
    overflow-y: visible;
    overflow-x: visible;
}

.k-detail-row .k-grid.k-grid-md {
    padding: 10px;
    border-radius: 16px;
}

.k-grid-header .k-header .k-column-title {
    white-space: normal !important;
    word-break: break-word !important;
}

.k-grid-header .k-header.th-flex-end[role="columnheader"] {
    display: table-cell !important;
    text-align: end;
}

.k-grid .k-grid-header .k-table-thead[role="rowgroup"] .k-header.k-table-th,
.k-grid .k-grid-header .k-table-row[role="row"] .k-header.k-table-th {
    vertical-align: middle !important;
    white-space: normal !important;
    word-break: break-word !important;
    text-align: left; /* ou left si tu préfères */
    height: auto !important;
    line-height: 1.3;
}
